
/*  NewInspector.h v1.1b
*
*  This is a generic Inspector Class.  For a description, see the man page.
*  
*  Imran Qureshi
*
*  11/5/91
*
*/

#import <objc/Object.h>
#import <objc/List.h>
#import <appkit/Application.h>

@interface NewInspector:Object
{
	id	InspectorPanel;
	id	thePopUpListButton;
	id	thePopUpList;
	id	InspectorBox;  /*  Box which will hold the views assigned to it */
	
	List	*ViewsList;
	List	*SupervisorList;
}

/* Creates a new Inspector
 */
+ new;
  
 /* initializes a new Inspector created with new
 * do not use [[NewInspector alloc] init] to get a NewInspector.
 * instead use +new.
 */
- init;
-free;

 /* return the InspectorPanel of class "Panel".
  * Can be used for adjusting the size and place of the Inspector Panel.
  */
-inspectorPanel;

 /* show/hide the Inspector Panel.
 */
- orderFrontPanel:sender;
- orderBackPanel:sender;

  /*  set the Title of the Inspector Panel.
  */
-setTitle:(char *)theTitle;

 /*  Add a View "aView". add a button "Name" to the popuplist. and set
 *  "aSupervisor" as the object to get "windowDidUpdate:" message
 */
-addView:aView withName:(char *)Name withSupervisor:(id)aSupervisor;

 /* remove the button and view corresponding to "Name".
 */
-remove:(char *)Name;

 /* show the button and view corresponding to "Name"
 */
-show:(char *)Name;

 /* send an windowDidUpdate: message to all Supervisors
 */
-updateDisplay;
- windowDidUpdate:sender;

 /* PRIVATE */
-toggleInspectorPanels:sender;

@end
